org.jbpm.services.task.impl.model

## Class TaskDataImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.TaskDataImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class TaskDataImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTIVATION_TIME`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date>` | `activationTime`
    `static String` | `ACTUAL_OWNER`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,UserImpl>` | `actualOwner`
    `static javax.persistence.metamodel.ListAttribute<TaskDataImpl,AttachmentImpl>` | `attachments`
    `static String` | `ATTACHMENTS`
    `static javax.persistence.metamodel.ListAttribute<TaskDataImpl,CommentImpl>` | `comments`
    `static String` | `COMMENTS`
    `static String` | `CREATED_BY`
    `static String` | `CREATED_ON`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,UserImpl>` | `createdBy`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date>` | `createdOn`
    `static String` | `DEPLOYMENT_ID`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `deploymentId`
    `static String` | `DOCUMENT_ACCESS_TYPE`
    `static String` | `DOCUMENT_CONTENT_ID`
    `static String` | `DOCUMENT_TYPE`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType>` | `documentAccessType`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `documentContentId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `documentType`
    `static String` | `EXPIRATION_TIME`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date>` | `expirationTime`
    `static String` | `FAULT_ACCESS_TYPE`
    `static String` | `FAULT_CONTENT_ID`
    `static String` | `FAULT_NAME`
    `static String` | `FAULT_TYPE`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType>` | `faultAccessType`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `faultContentId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `faultName`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `faultType`
    `static String` | `OUTPUT_ACCESS_TYPE`
    `static String` | `OUTPUT_CONTENT_ID`
    `static String` | `OUTPUT_TYPE`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType>` | `outputAccessType`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `outputContentId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `outputType`
    `static String` | `PARENT_ID`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `parentId`
    `static String` | `PREVIOUS_STATUS`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.api.task.model.Status>` | `previousStatus`
    `static String` | `PROCESS_ID`
    `static String` | `PROCESS_INSTANCE_ID`
    `static String` | `PROCESS_SESSION_ID`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `processSessionId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Boolean>` | `skipable`
    `static String` | `SKIPABLE`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.api.task.model.Status>` | `status`
    `static String` | `STATUS`
    `static String` | `WORK_ITEM_ID`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `workItemId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskDataImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attachments

          public static volatile javax.persistence.metamodel.ListAttribute<TaskDataImpl,AttachmentImpl> attachments

    - #### documentType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> documentType

    - #### outputType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> outputType

    - #### workItemId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> workItemId

    - #### createdOn

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date> createdOn

    - #### documentAccessType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType> documentAccessType

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> processId

    - #### actualOwner

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,UserImpl> actualOwner

    - #### faultContentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> faultContentId

    - #### deploymentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> deploymentId

    - #### faultType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> faultType

    - #### activationTime

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date> activationTime

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> processInstanceId

    - #### outputContentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> outputContentId

    - #### comments

          public static volatile javax.persistence.metamodel.ListAttribute<TaskDataImpl,CommentImpl> comments

    - #### faultAccessType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType> faultAccessType

    - #### parentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> parentId

    - #### faultName

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> faultName

    - #### documentContentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> documentContentId

    - #### createdBy

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,UserImpl> createdBy

    - #### outputAccessType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType> outputAccessType

    - #### expirationTime

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date> expirationTime

    - #### processSessionId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> processSessionId

    - #### status

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.api.task.model.Status> status

    - #### previousStatus

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.api.task.model.Status> previousStatus

    - #### skipable

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Boolean> skipable

    - #### ATTACHMENTS

          public static final String ATTACHMENTS

      See Also:
        Constant Field Values

    - #### DOCUMENT_TYPE

          public static final String DOCUMENT_TYPE

      See Also:
        Constant Field Values

    - #### OUTPUT_TYPE

          public static final String OUTPUT_TYPE

      See Also:
        Constant Field Values

    - #### WORK_ITEM_ID

          public static final String WORK_ITEM_ID

      See Also:
        Constant Field Values

    - #### CREATED_ON

          public static final String CREATED_ON

      See Also:
        Constant Field Values

    - #### DOCUMENT_ACCESS_TYPE

          public static final String DOCUMENT_ACCESS_TYPE

      See Also:
        Constant Field Values

    - #### PROCESS_ID

          public static final String PROCESS_ID

      See Also:
        Constant Field Values

    - #### ACTUAL_OWNER

          public static final String ACTUAL_OWNER

      See Also:
        Constant Field Values

    - #### FAULT_CONTENT_ID

          public static final String FAULT_CONTENT_ID

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_ID

          public static final String DEPLOYMENT_ID

      See Also:
        Constant Field Values

    - #### FAULT_TYPE

          public static final String FAULT_TYPE

      See Also:
        Constant Field Values

    - #### ACTIVATION_TIME

          public static final String ACTIVATION_TIME

      See Also:
        Constant Field Values

    - #### PROCESS_INSTANCE_ID

          public static final String PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### OUTPUT_CONTENT_ID

          public static final String OUTPUT_CONTENT_ID

      See Also:
        Constant Field Values

    - #### COMMENTS

          public static final String COMMENTS

      See Also:
        Constant Field Values

    - #### FAULT_ACCESS_TYPE

          public static final String FAULT_ACCESS_TYPE

      See Also:
        Constant Field Values

    - #### PARENT_ID

          public static final String PARENT_ID

      See Also:
        Constant Field Values

    - #### FAULT_NAME

          public static final String FAULT_NAME

      See Also:
        Constant Field Values

    - #### DOCUMENT_CONTENT_ID

          public static final String DOCUMENT_CONTENT_ID

      See Also:
        Constant Field Values

    - #### CREATED_BY

          public static final String CREATED_BY

      See Also:
        Constant Field Values

    - #### OUTPUT_ACCESS_TYPE

          public static final String OUTPUT_ACCESS_TYPE

      See Also:
        Constant Field Values

    - #### EXPIRATION_TIME

          public static final String EXPIRATION_TIME

      See Also:
        Constant Field Values

    - #### PROCESS_SESSION_ID

          public static final String PROCESS_SESSION_ID

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

    - #### PREVIOUS_STATUS

          public static final String PREVIOUS_STATUS

      See Also:
        Constant Field Values

    - #### SKIPABLE

          public static final String SKIPABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskDataImpl_

          public TaskDataImpl_()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.